## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GORMEnhancingBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GORMEnhancingBeanPostProcessor

All Implemented Interfaces:
  groovy.lang.GroovyObject, BeanPostProcessor, ApplicationContextAware

    public class GORMEnhancingBeanPostProcessor

extends Object
implements BeanPostProcessor, ApplicationContextAware, groovy.lang.GroovyObject

Constructor Summary
`GORMEnhancingBeanPostProcessor()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`ApplicationContext` `getApplicationContext()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `postProcessAfterInitialization(Object bean, String beanName)`
`Object` `postProcessBeforeInitialization(Object bean, String beanName)`
`void` `setApplicationContext(ApplicationContext value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GORMEnhancingBeanPostProcessor

    public GORMEnhancingBeanPostProcessor()

Method Detail

### getApplicationContext

    public ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(ApplicationContext value)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)

  Specified by:
    `postProcessAfterInitialization` in interface `BeanPostProcessor`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project